commit 9a5b3c50e26c24814ede693600fb24e4c7b6c60c
Author: Joel Hutton <joel.hutton@arm.com>
Date:   Tue Dec 14 13:01:09 2021

    vect-loop: fix build
    
    Previous commit broke build as it relied on directly_supported_p which
    is not in 11. This reworks to avoid using directly_supported_p.
    
    gcc/ChangeLog:
    
            PR bootstrap/103688
            * tree-vect-loop.c (vectorizable_induction): Rework to avoid
            directly_supported_p.

diff --git a/gcc/tree-vect-loop.c b/gcc/tree-vect-loop.c
index 54320681119..b77b4f7f83f 100644
--- a/gcc/tree-vect-loop.c
+++ b/gcc/tree-vect-loop.c
@@ -7997,8 +7997,8 @@ vectorizable_induction (loop_vec_info loop_vinfo,
   tree step_vectype = get_same_sized_vectype (TREE_TYPE (step_expr), vectype);
 
   /* Check for backend support of PLUS/MINUS_EXPR. */
-  if (!directly_supported_p (PLUS_EXPR, step_vectype)
-      || !directly_supported_p (MINUS_EXPR, step_vectype))
+  if (!target_supports_op_p (step_vectype, PLUS_EXPR, optab_default)
+      || !target_supports_op_p (step_vectype, MINUS_EXPR, optab_default))
     return false;
 
   if (!vec_stmt) /* transformation not required.  */

